<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}"><img src="images/abullet.gif" border="0"/></a></td>
   				<td width="5"></td>
   				<td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="30"></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
   				<td><a href="{@HREF}"><img src="images/bullet.gif" border="0"/></a></td>
   				<td width="5"></td>
   				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="30"></td>
            </xsl:otherwise>
	    </xsl:choose>
	</xsl:template>



	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>								
   					<td style="padding-left: 22px"><img src="images/submenu_bullet.gif"/></td>
   					<td style="padding-left: 20px" height="30" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
   				</tr>
   				<xsl:if test="position()!=last()">
	   				<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
   				</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    				<tr>								
    					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
    					<td style="padding-left: 20px" height="30" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				</tr>
    				<xsl:if test="position()!=last()">
		   				<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
    				</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
