<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- chr-08 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table border="0" width="100%" id="table1" height="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td height="88" background="images/bg.gif" style="padding:0 55px">
	
		<div align="center">
			<table border="0" id="table2" cellspacing="0" cellpadding="0" height="88" width="100%">
				<tr>
					<td height="25" background="images/bg_menu.gif">?</td>
				</tr>
				<tr>
					<td height="63"> 
					
					  <table border="0" width="100%" id="table3" cellspacing="0" cellpadding="0" height="63">
						<tr>
							<td>
							<img border="0" src="images/bg_menu1.gif" width="23" height="63" /></td>
							 <td background="images/bg_menu2.gif" align="center" width="100%">
						<!-- MENU -->
							<table border="0"  id="table4" cellspacing="0" cellpadding="0">
								<tr>
                                   <xsl:call-template name="TOP-MENU"/>
                                </tr>
							</table>
					   <!-- END MENU -->
							</td>
							<td>
							<img border="0" src="images/bg_menu3.gif" width="24" height="63" /></td>
						</tr>
					</table>
			   </td>
				</tr>
			</table>
		</div>

		</td>
	</tr>
	<tr>
		<td height="249" background="images/bg1.gif">
		<table border="0" width="100%" id="table5" cellspacing="0" cellpadding="0" height="249">
			<tr>
				<td width="93"></td>
				<td>
				<!-- LOGO -->
				<table border="0" id="table6" cellspacing="0" cellpadding="0">
					<tr>
						<td rowspan="2">
						 <a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a></td>
						<td height="31" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
					</tr>
					<tr>
					  <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
				  </tr>
				</table>
				<!-- END LOGO -->
				</td>
				<td></td>
				<td align="right">
				<img border="0" src="images/header.jpg" width="423" height="249" /></td>
			</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td width="100%" height="100%" align="left" valign="top" background="images/bg2.gif">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" id="table7" >
			<tr>
				<td width="244" valign="top">
				<table border="0" width="244" id="table8" cellspacing="0" cellpadding="0">
					<tr>
						<td valign="top">
						<img border="0" src="images/a3.jpg" width="244" height="70" /></td>
					</tr>
					<tr>
						<td align="center">
						<br/>
						  <!-- SUBMENU -->
							<table border="0" width="200" id="table11" cellspacing="0" cellpadding="0">
								<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							</table>
						 <!-- END SUBMENU -->
						<br/>
					  </td>
					</tr>
				</table>
				</td>
				<td width="100%" height="100%" align="left" valign="top" background="images/bg2.gif">
				<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" id="table12">
					<tr>
						<td width="42" height="6" bgcolor="#FFFFFF"></td>
						<td bgcolor="#FFFFFF"></td>
					</tr>
					<tr>
						<td width="42" height="50"></td>
						<td></td>
					</tr>
					<tr>
						<td width="42" height="25"></td>
						<td height="25">
						<table border="0" id="table13" cellspacing="0" cellpadding="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td width="30" align="right">
								<img border="0" src="images/point1.gif" width="20" height="21" /></td>
							</tr>
						</table>
						</td>
					</tr>
					<tr>
						<td width="42"></td>
						 <td height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
					</tr>
				</table>
			  </td>
			</tr>
		</table>
	  </td>
	</tr>
	<tr>
		<td height="65" bgcolor="#FFFFFF">
		  <table border="0" width="100%" id="table10" cellspacing="0" cellpadding="0">
			<tr>
				<td>
	 <!-- BOOTTOM MENU -->
		   <table border="0" cellspacing="0" cellpadding="0">
            <tr>
			<td width="30"></td>
			<td class="footer">
			<!-- FOOTER -->
			  <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			<!-- END FOOTER -->
			</td>
			
           </tr>
        </table>
	<!-- BOOTTOM MENU -->
				</td>
				<td align="left" valign="top" width="240">
				   <img border="0" src="images/d4.jpg" width="240" height="65" align="right" hspace="0" />
				</td>
			</tr>
		</table>
	  </td>
	</tr>
</table>
	<!--sw_sb_ms-->
	</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		 <tr>
		   <td width="50" height="25" align="right" style="padding-right:10px;">
		     <img border="0" src="images/smenu.gif" width="5" height="7" />
		   </td>
		   <td height="25" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		<tr>
		      <td width="50" height="25" align="right" style="padding-right:10px;"><img border="0" src="images/smenu.gif" width="5" height="7" /></td>
		      <td height="25"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		    <tr>
			   <td colspan="2"  height="2" background="images/line.gif"></td>
		   </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
